#!/bin/bash
# Server status checker.
# DO NOT CHANGE THIS FILE UNLESS YOU KNOW WHAT YOU ARE DOING.

# Date code for autodownload.

versionc="07062010-2" # NEVER CHANGE THIS LINE OR AUTODOWNLOAD WILL BREAK.

. cfg/script.cfg # Configurarion call.

pid=`pgrep -u "$user" "$process"`

# Check type selection and PS/UDP status check starter.

if [ "$check" -eq 1 ]; then

  ccheck1=`ps xr | grep "$process"`

fi

if [ "$check" -eq 2 ]; then

  nmap -sU 127.0.0.1 -p "$nport" -n -PN -oN nmap1.txt > /dev/null 2>&1
  ccheck1=`cat nmap1.txt | grep filtered`

fi

if [ -n "$ccheck1" ]; then

  echo "Check 1/3 for dead server status concluded. Starting check 2/3 in 10 seconds..."
  echo "========================================================================"

  if [ -f nmap1.txt ]; then

    rm -rf nmap1.txt > /dev/null 2>&1
  
  fi

  sleep 10

  if [ "$check" -eq 1 ]; then

    ccheck2=`ps xr | grep "$process"`

  fi

  if [ "$check" -eq 2 ]; then

    nmap -sU 127.0.0.1 -p "$nport" -n -PN -oN nmap2.txt > /dev/null 2>&1
    ccheck2=`cat nmap2.txt | grep filtered`

  fi

  if [ -n "$ccheck2" ]; then

    echo "Check 2/3 for dead server status concluded. Starting check 3/3 in 10 seconds..."
    echo "========================================================================"

    if [ -f nmap2.txt ]; then

      rm -rf nmap2.txt > /dev/null 2>&1
  
    fi

    sleep 10

    if [ "$check" -eq 1 ]; then

      ccheck3=`ps xr | grep "$process"`

    fi

    if [ "$check" -eq 2 ]; then

      nmap -sU 127.0.0.1 -p "$nport" -n -PN -oN nmap3.txt > /dev/null 2>&1
      ccheck3=`cat nmap3.txt | grep filtered`

    fi

    if [ -n "$ccheck3" ]; then

      echo "Check 3/3 for dead server status concluded. Server is crashed and not properly finalized."
      echo "Server is being killed for reinitialization... Crash recorded at `/bin/date`"
      echo "Crash recorded at `/bin/date`" >> "$log2"
      echo "========================================================================"
      kill -9 "$pid" > /dev/null 2>&1
      echo "Server killed. Restarting script in 15 seconds..."
      echo "========================================================================"

      if [ -f nmap3.txt ]; then

        rm -rf nmap3.txt > /dev/null 2>&1
  
      fi

      sleep 15

    else

      echo "Server is running normally. Skipping it."
      echo ""

      if [ -f nmap3.txt ]; then

        rm -rf nmap3.txt > /dev/null 2>&1
  
      fi

    fi

  else

    echo "Server is running normally. Skipping it."
    echo ""

    if [ -f nmap2.txt ]; then

      rm -rf nmap2.txt > /dev/null 2>&1
  
    fi

  fi

else

  echo "Server is running normally. Skipping it."
  echo ""

  if [ -f nmap1.txt ]; then

    rm -rf nmap1.txt > /dev/null 2>&1
  
  fi

fi

# Sleeping. (Script restart time for crash checks)

sleep "$secondscc"
