#!/bin/bash
# Dynamic Rotation script.
# DO NOT CHANGE THIS FILE UNLESS YOU KNOW WHAT YOU ARE DOING.

# Date code for autodownload.

versionc="07062010-2" # NEVER CHANGE THIS LINE OR AUTODOWNLOAD WILL BREAK.

. cfg/script.cfg # Configurarion call.

. cfg/drotation.cfg # Dynamic Rotation configurarion call.

bak=`cat "$dir"/"$game"/"$cfg" | grep Dynamic | grep Rotation | grep code0`

cd "$dir"/"$game"

# Check for the server.cfg file and backup.

if [ -f "$cfg" ]; then
 
  if [ -z "$bak" ]; then

    echo "========================================================================"
    echo "Making a backup of your "$cfg" for Dynamic Rotation."
    
    if [ -f "$cfg".bak.dr ]; then

      rm -rf "$cfg".bak.dr > /dev/null 2>&1

    fi

    cp "$cfg" "$cfg".bak.dr > /dev/null 2>&1

  fi

else

  echo "Could not find "$cfg". Please check if your CFG exits and/or your script.cfg."
  echo "Skipping Dynamic Rotation..."
  cd "$filesdir"
  echo "Press ENTER to continue."
  read
  exit

fi

r1=`date | grep Sun`
r2=`date | grep Mon`
r3=`date | grep Tue`
r4=`date | grep Wed`
r5=`date | grep Thu`
r6=`date | grep Fri`
r7=`date | grep Sat`
r1exist=`cat "$dir"/"$game"/"$cfg" | grep code01sun`
r2exist=`cat "$dir"/"$game"/"$cfg" | grep code02mon`
r3exist=`cat "$dir"/"$game"/"$cfg" | grep code03tue`
r4exist=`cat "$dir"/"$game"/"$cfg" | grep code04wed`
r5exist=`cat "$dir"/"$game"/"$cfg" | grep code05thu`
r6exist=`cat "$dir"/"$game"/"$cfg" | grep code06fri`
r7exist=`cat "$dir"/"$game"/"$cfg" | grep code07sat`
pid=`pgrep -u "$user" "$process"`

echo "========================================================================"
echo "Checking Dynamic Rotation..."

# Dynamic Rotation set.

if [ -n "$r1" ]; then

  if [ -z "$r1exist" ]; then
      
    if [ -n "$bak" ]; then

      rm -rf "$cfg" > /dev/null 2>&1
      cp "$cfg".bak.dr "$cfg" > /dev/null 2>&1

    fi

    echo "" >> "$cfg"
    echo "$dr1" >> "$cfg"

    if [ -n "$r1map1" ]; then

      echo "$r1map1" >> "$cfg"

    fi

    if [ -n "$r1map2" ]; then

      echo "$r1map2" >> "$cfg"

    fi

    if [ -n "$r1map3" ]; then

      echo "$r1map3" >> "$cfg"

    fi

    if [ -n "$r1map4" ]; then

      echo "$r1map4" >> "$cfg"

    fi

    if [ -n "$r1map5" ]; then

      echo "$r1map5" >> "$cfg"

    fi

    if [ -n "$r1map6" ]; then

      echo "$r1map6" >> "$cfg"

    fi

    if [ -n "$r1map7" ]; then

      echo "$r1map7" >> "$cfg"

    fi

    if [ -n "$r1map8" ]; then

      echo "$r1map8" >> "$cfg"

    fi

    if [ -n "$r1map9" ]; then

      echo "$r1map9" >> "$cfg"

    fi

    if [ -n "$r1map10" ]; then

      echo "$r1map10" >> "$cfg"

    fi

    if [ -n "$r1map11" ]; then

      echo "$r1map11" >> "$cfg"

    fi

    if [ -n "$r1map12" ]; then

      echo "$r1map12" >> "$cfg"

    fi

    if [ -n "$r1map13" ]; then

      echo "$r1map13" >> "$cfg"

    fi

    if [ -n "$r1map14" ]; then

      echo "$r1map14" >> "$cfg"

    fi

    if [ -n "$r1map15" ]; then

      echo "$r1map15" >> "$cfg"

    fi

    if [ -n "$r1map16" ]; then

      echo "$r1map16" >> "$cfg"

    fi

    if [ -n "$r1map17" ]; then

      echo "$r1map17" >> "$cfg"

    fi

    if [ -n "$r1map18" ]; then

      echo "$r1map18" >> "$cfg"

    fi

    if [ -n "$r1map19" ]; then

      echo "$r1map19" >> "$cfg"

    fi

    if [ -n "$r1map20" ]; then

      echo "$r1map20" >> "$cfg"

    fi

    echo "" >> "$cfg"
    echo "// VSTR starting the first map." >> "$cfg"
    echo "$vstr" >> "$cfg"
    echo "Rotation set for Sunday."
    cd "$filesdir"
      
    if [ -n "$pid" ]; then

      echo "Server is currently running, killing it to update the rotation."
      kill -9 "$pid" > /dev/null 2>&1

    fi

    echo "========================================================================"

  else

    echo "Rotation is already set for Sunday, skipping it."
    echo "========================================================================"

  fi

fi

if [ -n "$r2" ]; then

  if [ -z "$r2exist" ]; then

    if [ -n "$bak" ]; then

      rm -rf "$cfg" > /dev/null 2>&1
      cp "$cfg".bak.dr "$cfg" > /dev/null 2>&1

    fi

    echo "" >> "$cfg"
    echo "$dr2" >> "$cfg"
      
    if [ -n "$r2map1" ]; then

      echo "$r2map1" >> "$cfg"

    fi

    if [ -n "$r2map2" ]; then

      echo "$r2map2" >> "$cfg"

    fi

    if [ -n "$r2map3" ]; then

      echo "$r2map3" >> "$cfg"

    fi

    if [ -n "$r2map4" ]; then

      echo "$r2map4" >> "$cfg"

    fi

    if [ -n "$r2map5" ]; then

      echo "$r2map5" >> "$cfg"

    fi

    if [ -n "$r2map6" ]; then

      echo "$r2map6" >> "$cfg"

    fi

    if [ -n "$r2map7" ]; then

      echo "$r2map7" >> "$cfg"

    fi

    if [ -n "$r2map8" ]; then

      echo "$r2map8" >> "$cfg"

    fi

    if [ -n "$r2map9" ]; then

      echo "$r2map9" >> "$cfg"

    fi

    if [ -n "$r2map10" ]; then

      echo "$r2map10" >> "$cfg"

    fi

    if [ -n "$r2map11" ]; then

      echo "$r2map11" >> "$cfg"

    fi

    if [ -n "$r2map12" ]; then

      echo "$r2map12" >> "$cfg"

    fi

    if [ -n "$r2map13" ]; then

      echo "$r2map13" >> "$cfg"

    fi

    if [ -n "$r2map14" ]; then

      echo "$r2map14" >> "$cfg"

    fi

    if [ -n "$r2map15" ]; then

      echo "$r2map15" >> "$cfg"

    fi

    if [ -n "$r2map16" ]; then

      echo "$r2map16" >> "$cfg"

    fi

    if [ -n "$r2map17" ]; then

      echo "$r2map17" >> "$cfg"

    fi

    if [ -n "$r2map18" ]; then

      echo "$r2map18" >> "$cfg"

    fi

    if [ -n "$r2map19" ]; then

      echo "$r2map19" >> "$cfg"

    fi

    if [ -n "$r2map20" ]; then

      echo "$r2map20" >> "$cfg"

    fi

    echo "" >> "$cfg"
    echo "// VSTR starting the first map." >> "$cfg"
    echo "$vstr" >> "$cfg"
    echo "Rotation set for Monday."
    cd "$filesdir"
      
    if [ -n "$pid" ]; then

      echo "Server is currently running, killing it to update the rotation."
      kill -9 "$pid" > /dev/null 2>&1

    fi

    echo "========================================================================"

  else

    echo "Rotation is already set for Monday, skipping it."
    echo "========================================================================"

  fi

fi

if [ -n "$r3" ]; then  

  if [ -z "$r3exist" ]; then

    if [ -n "$bak" ]; then

      rm -rf "$cfg" > /dev/null 2>&1
      cp "$cfg".bak.dr "$cfg" > /dev/null 2>&1

    fi

    echo "" >> "$cfg"
    echo "$dr3" >> "$cfg"
      
    if [ -n "$r3map1" ]; then

      echo "$r3map1" >> "$cfg"

    fi

    if [ -n "$r3map2" ]; then

      echo "$r3map2" >> "$cfg"

    fi

    if [ -n "$r3map3" ]; then

      echo "$r3map3" >> "$cfg"

    fi

    if [ -n "$r3map4" ]; then

      echo "$r3map4" >> "$cfg"

    fi

    if [ -n "$r3map5" ]; then

      echo "$r3map5" >> "$cfg"

    fi

    if [ -n "$r3map6" ]; then

      echo "$r3map6" >> "$cfg"

    fi

    if [ -n "$r3map7" ]; then

      echo "$r3map7" >> "$cfg"

    fi

    if [ -n "$r3map8" ]; then

      echo "$r3map8" >> "$cfg"

    fi

    if [ -n "$r3map9" ]; then

      echo "$r3map9" >> "$cfg"

    fi

    if [ -n "$r3map10" ]; then

      echo "$r3map10" >> "$cfg"

    fi

    if [ -n "$r3map11" ]; then

      echo "$r3map11" >> "$cfg"

    fi

    if [ -n "$r3map12" ]; then

      echo "$r3map12" >> "$cfg"

    fi

    if [ -n "$r3map13" ]; then

      echo "$r3map13" >> "$cfg"

    fi

    if [ -n "$r3map14" ]; then

      echo "$r3map14" >> "$cfg"

    fi

    if [ -n "$r3map15" ]; then

      echo "$r3map15" >> "$cfg"

    fi

    if [ -n "$r3map16" ]; then

      echo "$r3map16" >> "$cfg"

    fi

    if [ -n "$r3map17" ]; then

      echo "$r3map17" >> "$cfg"

    fi

    if [ -n "$r3map18" ]; then

      echo "$r3map18" >> "$cfg"

    fi

    if [ -n "$r3map19" ]; then

      echo "$r3map19" >> "$cfg"

    fi

    if [ -n "$r3map20" ]; then

      echo "$r3map20" >> "$cfg"

    fi

    echo "" >> "$cfg"
    echo "// VSTR starting the first map." >> "$cfg"
    echo "$vstr" >> "$cfg"
    echo "Rotation set for Tuesday."
    cd "$filesdir"
      
    if [ -n "$pid" ]; then

      echo "Server is currently running, killing it to update the rotation."
      kill -9 "$pid" > /dev/null 2>&1

    fi

    echo "========================================================================"

  else

    echo "Rotation is already set for Tuesday, skipping it."
    echo "========================================================================"

  fi

fi

if [ -n "$r4" ]; then  

  if [ -z "$r4exist" ]; then

    if [ -n "$bak" ]; then

      rm -rf "$cfg" > /dev/null 2>&1
      cp "$cfg".bak.dr "$cfg" > /dev/null 2>&1

    fi

    echo "" >> "$cfg"
    echo "$dr4" >> "$cfg"
      
    if [ -n "$r4map1" ]; then

      echo "$r4map1" >> "$cfg"

    fi

    if [ -n "$r4map2" ]; then

      echo "$r4map2" >> "$cfg"

    fi

    if [ -n "$r4map3" ]; then

      echo "$r4map3" >> "$cfg"

    fi

    if [ -n "$r4map4" ]; then

      echo "$r4map4" >> "$cfg"

    fi

    if [ -n "$r4map5" ]; then

      echo "$r4map5" >> "$cfg"

    fi

    if [ -n "$r4map6" ]; then

      echo "$r4map6" >> "$cfg"

    fi

    if [ -n "$r4map7" ]; then

      echo "$r4map7" >> "$cfg"

    fi

    if [ -n "$r4map8" ]; then

      echo "$r4map8" >> "$cfg"

    fi

    if [ -n "$r4map9" ]; then

      echo "$r4map9" >> "$cfg"

    fi

    if [ -n "$r4map10" ]; then

      echo "$r4map10" >> "$cfg"

    fi

    if [ -n "$r4map11" ]; then

      echo "$r4map11" >> "$cfg"

    fi

    if [ -n "$r4map12" ]; then

      echo "$r4map12" >> "$cfg"

    fi

    if [ -n "$r4map13" ]; then

      echo "$r4map13" >> "$cfg"

    fi

    if [ -n "$r4map14" ]; then

      echo "$r4map14" >> "$cfg"

    fi

    if [ -n "$r4map15" ]; then

      echo "$r4map15" >> "$cfg"

    fi

    if [ -n "$r4map16" ]; then

      echo "$r4map16" >> "$cfg"

    fi

    if [ -n "$r4map17" ]; then

      echo "$r4map17" >> "$cfg"

    fi

    if [ -n "$r4map18" ]; then

      echo "$r4map18" >> "$cfg"

    fi

    if [ -n "$r4map19" ]; then

      echo "$r4map19" >> "$cfg"

    fi

    if [ -n "$r4map20" ]; then

      echo "$r4map20" >> "$cfg"

    fi

    echo "" >> "$cfg"
    echo "// VSTR starting the first map." >> "$cfg"
    echo "$vstr" >> "$cfg"
    echo "Rotation set for Wednesday."
    cd "$filesdir"
      
    if [ -n "$pid" ]; then

      echo "Server is currently running, killing it to update the rotation."
      kill -9 "$pid" > /dev/null 2>&1

    fi

    echo "========================================================================"

  else

    echo "Rotation is already set for Wednesday, skipping it."
    echo "========================================================================"

  fi

fi

if [ -n "$r5" ]; then  

  if [ -z "$r5exist" ]; then

    if [ -n "$bak" ]; then

      rm -rf "$cfg" > /dev/null 2>&1
      cp "$cfg".bak.dr "$cfg" > /dev/null 2>&1

    fi

    echo "" >> "$cfg"
    echo "$dr5" >> "$cfg"
      
    if [ -n "$r5map1" ]; then

      echo "$r5map1" >> "$cfg"

    fi

    if [ -n "$r5map2" ]; then

      echo "$r5map2" >> "$cfg"

    fi

    if [ -n "$r5map3" ]; then

      echo "$r5map3" >> "$cfg"

    fi

    if [ -n "$r5map4" ]; then

      echo "$r5map4" >> "$cfg"

    fi

    if [ -n "$r5map5" ]; then

      echo "$r5map5" >> "$cfg"

    fi

    if [ -n "$r5map6" ]; then

      echo "$r5map6" >> "$cfg"

    fi

    if [ -n "$r5map7" ]; then

      echo "$r5map7" >> "$cfg"

    fi

    if [ -n "$r5map8" ]; then

      echo "$r5map8" >> "$cfg"

    fi

    if [ -n "$r5map9" ]; then

      echo "$r5map9" >> "$cfg"

    fi

    if [ -n "$r5map10" ]; then

      echo "$r5map10" >> "$cfg"

    fi

    if [ -n "$r5map11" ]; then

      echo "$r5map11" >> "$cfg"

    fi

    if [ -n "$r5map12" ]; then

      echo "$r5map12" >> "$cfg"

    fi

    if [ -n "$r5map13" ]; then

      echo "$r5map13" >> "$cfg"

    fi

    if [ -n "$r5map14" ]; then

      echo "$r5map14" >> "$cfg"

    fi

    if [ -n "$r5map15" ]; then

      echo "$r5map15" >> "$cfg"

    fi

    if [ -n "$r5map16" ]; then

      echo "$r5map16" >> "$cfg"

    fi

    if [ -n "$r5map17" ]; then

      echo "$r5map17" >> "$cfg"

    fi

    if [ -n "$r5map18" ]; then

      echo "$r5map18" >> "$cfg"

    fi

    if [ -n "$r5map19" ]; then

      echo "$r5map19" >> "$cfg"

    fi

    if [ -n "$r5map20" ]; then

      echo "$r5map20" >> "$cfg"

    fi

    echo "" >> "$cfg"
    echo "// VSTR starting the first map." >> "$cfg"
    echo "$vstr" >> "$cfg"
    echo "Rotation set for Thursday."
    cd "$filesdir"
      
    if [ -n "$pid" ]; then

      echo "Server is currently running, killing it to update the rotation."
      kill -9 "$pid" > /dev/null 2>&1

    fi

    echo "========================================================================"

  else

    echo "Rotation is already set for Thursday, skipping it."
    echo "========================================================================"

  fi

fi

if [ -n "$r6" ]; then  

  if [ -z "$r6exist" ]; then

    if [ -n "$bak" ]; then

      rm -rf "$cfg" > /dev/null 2>&1
      cp "$cfg".bak.dr "$cfg" > /dev/null 2>&1

    fi

    echo "" >> "$cfg"
    echo "$dr6" >> "$cfg"
      
    if [ -n "$r6map1" ]; then

      echo "$r6map1" >> "$cfg"

    fi

    if [ -n "$r6map2" ]; then

      echo "$r6map2" >> "$cfg"

    fi

    if [ -n "$r6map3" ]; then

      echo "$r6map3" >> "$cfg"

    fi

    if [ -n "$r6map4" ]; then

      echo "$r6map4" >> "$cfg"

    fi

    if [ -n "$r6map5" ]; then

      echo "$r6map5" >> "$cfg"

    fi

    if [ -n "$r6map6" ]; then

      echo "$r6map6" >> "$cfg"

    fi

    if [ -n "$r6map7" ]; then

      echo "$r6map7" >> "$cfg"

    fi

    if [ -n "$r6map8" ]; then

      echo "$r6map8" >> "$cfg"

    fi

    if [ -n "$r6map9" ]; then

      echo "$r6map9" >> "$cfg"

    fi

    if [ -n "$r6map10" ]; then

      echo "$r6map10" >> "$cfg"

    fi

    if [ -n "$r6map11" ]; then

      echo "$r6map11" >> "$cfg"

    fi

    if [ -n "$r6map12" ]; then

      echo "$r6map12" >> "$cfg"

    fi

    if [ -n "$r6map13" ]; then

      echo "$r6map13" >> "$cfg"

    fi

    if [ -n "$r6map14" ]; then

      echo "$r6map14" >> "$cfg"

    fi

    if [ -n "$r6map15" ]; then

      echo "$r6map15" >> "$cfg"

    fi

    if [ -n "$r6map16" ]; then

      echo "$r6map16" >> "$cfg"

    fi

    if [ -n "$r6map17" ]; then

      echo "$r6map17" >> "$cfg"

    fi

    if [ -n "$r6map18" ]; then

      echo "$r6map18" >> "$cfg"

    fi

    if [ -n "$r6map19" ]; then

      echo "$r6map19" >> "$cfg"

    fi

    if [ -n "$r6map20" ]; then

      echo "$r6map20" >> "$cfg"

    fi

    echo "" >> "$cfg"
    echo "// VSTR starting the first map." >> "$cfg"
    echo "$vstr" >> "$cfg"
    echo "Rotation set for Friday."
    cd "$filesdir"
      
    if [ -n "$pid" ]; then

      echo "Server is currently running, killing it to update the rotation."
      kill -9 "$pid" > /dev/null 2>&1

    fi

    echo "========================================================================"

  else

    echo "Rotation is already set for Friday, skipping it."
    echo "========================================================================"

  fi

fi

if [ -n "$r7" ]; then  

  if [ -z "$r7exist" ]; then

    if [ -n "$bak" ]; then

      rm -rf "$cfg" > /dev/null 2>&1
      cp "$cfg".bak.dr "$cfg" > /dev/null 2>&1

    fi

    echo "" >> "$cfg"
    echo "$dr7" >> "$cfg"
      
    if [ -n "$r7map1" ]; then

      echo "$r7map1" >> "$cfg"

    fi

    if [ -n "$r7map2" ]; then

      echo "$r7map2" >> "$cfg"

    fi

    if [ -n "$r7map3" ]; then

      echo "$r7map3" >> "$cfg"

    fi

    if [ -n "$r7map4" ]; then

      echo "$r7map4" >> "$cfg"

    fi

    if [ -n "$r7map5" ]; then

      echo "$r7map5" >> "$cfg"

    fi

    if [ -n "$r7map6" ]; then

      echo "$r7map6" >> "$cfg"

    fi

    if [ -n "$r7map7" ]; then

      echo "$r7map7" >> "$cfg"

    fi

    if [ -n "$r7map8" ]; then

      echo "$r7map8" >> "$cfg"

    fi

    if [ -n "$r7map9" ]; then

      echo "$r7map9" >> "$cfg"

    fi

    if [ -n "$r7map10" ]; then

      echo "$r7map10" >> "$cfg"

    fi

    if [ -n "$r7map11" ]; then

      echo "$r7map11" >> "$cfg"

    fi

    if [ -n "$r7map12" ]; then

      echo "$r7map12" >> "$cfg"

    fi

    if [ -n "$r7map13" ]; then

      echo "$r7map13" >> "$cfg"

    fi

    if [ -n "$r7map14" ]; then

      echo "$r7map14" >> "$cfg"

    fi

    if [ -n "$r7map15" ]; then

      echo "$r7map15" >> "$cfg"

    fi

    if [ -n "$r7map16" ]; then

      echo "$r7map16" >> "$cfg"

    fi

    if [ -n "$r7map17" ]; then

      echo "$r7map17" >> "$cfg"

    fi

    if [ -n "$r7map18" ]; then

      echo "$r7map18" >> "$cfg"

    fi

    if [ -n "$r7map19" ]; then

      echo "$r7map19" >> "$cfg"

    fi

    if [ -n "$r7map20" ]; then

      echo "$r7map20" >> "$cfg"

    fi

    echo "" >> "$cfg"
    echo "// VSTR starting the first map." >> "$cfg"
    echo "$vstr" >> "$cfg"
    echo "Rotation set for Saturday."
    cd "$filesdir"
      
    if [ -n "$pid" ]; then

      echo "Server is currently running, killing it to update the rotation."
      kill -9 "$pid" > /dev/null 2>&1

    fi

    echo "========================================================================"

  else

    echo "Rotation is already set for Saturday, skipping it."
    echo "========================================================================"

  fi

fi

# Sleeping. (Script restart time for Dynamic Rotation checks)

sleep "$secondsdr"
