#!/bin/bash
# Manual start script part of the Server starter/restarter and crach checker.
# DO NOT CHANGE THIS FILE UNLESS YOU KNOW WHAT YOU ARE DOING.

# Date code for autodownload.

versionc="07062010-2" # NEVER CHANGE THIS LINE OR AUTODOWNLOAD WILL BREAK.

. cfg/script.cfg # Configurarion call.

echo "Manual start/stop script for the starter/restarter and crash checker script."
echo ""

# Start/Stop script.

case "$1" in

  help)
    
    echo "Syntax usage:"
    echo ""$0" [OPTION]"
    echo ""
    echo "OPTIONS:"
    echo "start      [Start the master script.]"
    echo "stop       [Stop all scripts within the master script.]"
    echo "killall    [Stop all scripts within the master script and the JKA Server.]"

  ;;

  start)

    if [ "$check" -eq 2 ]; then

      spids=`pgrep -u root master.sh`

    else

      spids=`pgrep -u "$user" master.sh`

    fi

    if [ -z "$spids" ]; then

      ./master.sh &
      
      if [ "$check" -eq 2 ]; then

        spid=`pgrep -u root master.sh`

      else

        spid=`pgrep -u "$user" master.sh`

      fi

      if [ -n "$spid" ]; then

        echo "Master Script has been started."

      else

        echo "Master Script was not started, please check if your script.cfg is properly configured and/or if master.sh file exists."

      fi

    else
  
      echo "Master Script is already running."

    fi

  ;;

  stop)

    if [ "$check" -eq 2 ]; then

      spid2=`pgrep -u root master.sh`
      spid3=`pgrep -u root ccheck.sh`

      if [ "$drotation" -eq 1 ]; then
      
        spid4=`pgrep -u root drotation.sh`

      fi

    else

      spid2=`pgrep -u "$user" master.sh`
      spid3=`pgrep -u "$user" ccheck.sh`

      if [ "$drotation" -eq 1 ]; then
      
        spid4=`pgrep -u "$user" drotation.sh`

      fi

    fi

    if [ -n "$spid2" ]; then
      
      kill -9 "$spid2" > /dev/null 2>&1

    fi

    if [ -n "$spid3" ]; then

      kill -9 "$spid3" > /dev/null 2>&1

    fi

    if [ -n "$spid4" ]; then

      kill -9 "$spid4" > /dev/null 2>&1

    fi

    if [ "$check" -eq 2 ]; then

      spid2k=`pgrep -u root master.sh`
      spid3k=`pgrep -u root ccheck.sh`

      if [ "$drotation" -eq 1 ]; then

        spid4k=`pgrep -u root drotation.sh`

      fi

    else

      spid2k=`pgrep -u "$user" master.sh`
      spid3k=`pgrep -u "$user" ccheck.sh`

      if [ "$drotation" -eq 1 ]; then

        spid4k=`pgrep -u "$user" drotation.sh`

      fi

    fi

    if [ -z "$spid2k" ] && [ -z "$spid3k" ] && [ -z "$spid4k" ]; then

      echo "All scripts have been stopped."

    else

      echo "Not all scripts have been stopped."

    fi

  ;;

  killall)

    if [ "$check" -eq 2 ]; then

      spid5=`pgrep -u root master.sh`
      spid6=`pgrep -u root ccheck.sh`

      if [ "$drotation" -eq 1 ]; then
      
        spid7=`pgrep -u root drotation.sh`

      fi

    else

      spid5=`pgrep -u "$user" master.sh`
      spid6=`pgrep -u "$user" ccheck.sh`

      if [ "$drotation" -eq 1 ]; then
      
        spid7=`pgrep -u "$user" drotation.sh`

      fi

    fi

    sepid=`pgrep -u "$user" "$process"`

    if [ -n "$spid5" ]; then
      
      kill -9 "$spid5" > /dev/null 2>&1

    fi

    if [ -n "$spid6" ]; then

      kill -9 "$spid6" > /dev/null 2>&1

    fi

    if [ -n "$spid7" ]; then

      kill -9 "$spid7" > /dev/null 2>&1

    fi

    if [ -n "$sepid" ]; then

      kill -9 "$sepid" > /dev/null 2>&1

    fi

    if [ "$check" -eq 2 ]; then

      spid5k=`pgrep -u root master.sh`
      spid6k=`pgrep -u root ccheck.sh`

      if [ "$drotation" -eq 1 ]; then

        spid7k=`pgrep -u root drotation.sh`

      fi

    else

      spid5k=`pgrep -u "$user" master.sh`
      spid6k=`pgrep -u "$user" ccheck.sh`

      if [ "$drotation" -eq 1 ]; then

        spid7k=`pgrep -u "$user" drotation.sh`

      fi

    fi

    sepidk=`pgrep -u "$user" "$process"`

    if [ -z "$spid5k" ] && [ -z "$spid6k" ] && [ -z "$spid7k" ]; then

      echo -n "All scripts have been stopped."

      if [ -z "$sepidk" ]; then

        echo " JKA Server has been stopped."

      else

        echo " JKA Server has not been stopped."

      fi

    else

      echo -n "Not all scripts have been stopped."

      if [ -n "$sepidk" ]; then

        echo " JKA Server has not been stopped."

      else

        echo " JKA Server has been stopped."

      fi

    fi

  ;;

  *)

    echo "Type "$0" help, for the correct syntax usage."

  ;;

esac
