#!/bin/bash
# Master script.
# DO NOT CHANGE THIS FILE UNLESS YOU KNOW WHAT YOU ARE DOING.

# Date code for autodownload.

versionc="07062010-2" # NEVER CHANGE THIS LINE OR AUTODOWNLOAD WILL BREAK.

echo "Starting Server starter/restarter and crash checker for Jedi Knight:Jedi Academy..."

. cfg/script.cfg # Configurarion call.

# Directory check.

if [ -z "$filesdir" ]; then

  echo "The location of the script is not set, please check your script.cfg."
  echo "Press ENTER to continue."
  read
  exit

fi

if [ -d "$filesdir" ]; then

  echo "Script location set."

else

  echo "Script location is incorrect, please check your script.cfg."
  echo "Press ENTER to continue."
  read
  exit

fi

cd "$filesdir"

# Binary file check.

echo -n "Checking the binary file..."

if [ -f "$dir"/"$process" ]; then

  echo ""$process" found."

else

  echo "Could not find the binary file, please check if the file exists and/or if the DIR folder is set correctly in your script.cfg."
  echo "Press ENTER to continue."
  read
  exit

fi

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"$dir" # Library path.
export HOME="$dir" # Log files will be saved in the folder .ja of the same folder where the binary and library are located.

# Username check.

if [ -z "$user" ]; then

  echo "Username is not set, please check your script.cfg."
  echo "Press ENTER to continue."
  read
  exit

fi

id=`id -nu`

# ID check.

if [ -z "$id" ]; then

  echo "Could not check your user id, please check your linux account and try again."
  echo "Press ENTER to continue."
  read
  exit

fi

# Check method ID limitation check.

if [ "$check" -eq 1 ]; then

  if [ "$user" != "$id" ]; then

    echo "Username does not match your id. If you are running the PS check method, please run the script as the same user set in your script.cfg"
    echo "Press ENTER to continue."
    read
    exit

  fi

fi

if [ "$check" -eq 2 ]; then

  if [ "$id" != root ]; then

    echo "NMap check method can only be used with root privilege. Please change the check method in your script.cfg if you do not possess this privilige."
    echo "Press ENTER to continue."
    read
    exit

  fi

fi

# Dynamic Rotation value check.

if [ -n "$drotation" ]; then

  if [ "$drotation" -eq 0 ]; then

    echo "Dynamic Rotation is disabled, skipping it..."

  elif [ "$drotation" -eq 1 ]; then

    echo "Dynamic Rotation is enabled."

  else

    echo "Value for Dynamic Rotation is wrong, please check your script.cfg and set a value between 0 and 1"
    echo "Press ENTER to continue."
    read
    exit

  fi

else

  echo "Value for Dynamic Rotation is not set, please check your script.cfg and set a value between 0 and 1"
  echo "Press ENTER to continue."
  read
  exit

fi

# Check type selection error check.

if [ -n "$check" ]; then

  if [ "$check" -eq 1 ]; then

    echo "Check method set for PS process check."

  elif [ "$check" -eq 2 ]; then

    echo -n "Check method set for NMap UDP port check."

    if [ -n "$nport" ]; then

      echo " Port: "$nport""

    else

      echo ""
      echo "Server port for NMap check is not set, please check your script.cfg."
      echo "Press ENTER to continue."
      read
      exit

    fi

  else

    echo "Value for the check method is set to a wrong value, please check your script.cfg and set a value between 1 and 2."
    echo "Press ENTER to continue."
    read
    exit

  fi

else

  echo "No check method is set, please check your script.cfg and set a value between 1 and 2."
  echo "Press ENTER to continue."
  read
  exit  

fi

if [ -n "$game" ]; then

  sgame="+set fs_game "$game""  

fi

if [ -n "$cfg" ]; then

  scfg="+exec "$cfg""

fi

if [ -n "$ip" ]; then

  sip="+set net_ip "$ip""

fi

if [ -n "$port" ]; then

  sport="+set net_port "$port""

fi

while :
do

pid=`pgrep -u "$user" "$process"`
palivecc=`ps x | grep ccheck.sh | grep "/bin/bash"`
palivedr=`ps x | grep drotation.sh | grep "/bin/bash"`

# Dynamic Rotation call.

if [ "$drotation" -eq 1 ]; then

  if [ -z "$palivedr" ]; then

    ./drotation.sh &
    sleep 2

  fi

fi

# Check the server process status, and start it if it's not running.

if [ -z "$pid" ]; then

  echo "Server starting/restarting, start/restart recorded at `/bin/date`."
  echo "Start/Restart recorded at `/bin/date`." >> $log
  cd "$dir"
  
  if [ "$check" -eq 2 ]; then

    su "$user" -c "./'$process' '$sgame' +set dedicated 2 '$scfg' '$sip' '$sport' &"

  else

    ./"$process" "$sgame" +set dedicated 2 "$scfg" "$sip" "$sport" &

  fi

  echo "========================================================================"
  cd "$filesdir"

fi

# Check if the server crash checker is running and start it if it's not.

if [ -z "$palivecc" ]; then

  echo "Initializing Crash checker..."
  echo "========================================================================"
  ./ccheck.sh &

fi

# Sleeping. (Script restart time)

sleep "$seconds"

done
